---
lang: en
title: 'API docs: rest.apiexploreroptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.apiexploreroptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ApiExplorerOptions](./rest.apiexploreroptions.md)

## ApiExplorerOptions interface

**Signature:**

```typescript
export interface ApiExplorerOptions 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [disabled?](./rest.apiexploreroptions.disabled.md) |  | true | _(Optional)_ Set this flag to disable the built-in redirect to externally hosted API Explorer UI. |
|  [httpUrl?](./rest.apiexploreroptions.httpurl.md) |  | string | _(Optional)_ URL for the API explorer served over <code>http</code> protocol to deal with mixed content security imposed by browsers as the spec is exposed over <code>http</code> by default. See https://github.com/loopbackio/loopback-next/issues/1603 |
|  [url?](./rest.apiexploreroptions.url.md) |  | string | _(Optional)_ URL for the hosted API explorer UI default to https://loopback.io/api-explorer |


